Method: projects.locations.services.standardOffers.get

Gets details of a single StandardOffer.

HTTP request

GET https://commerceproducer.googleapis.com/v1beta/{name=projects/*/locations/*/services/*/standardOffers/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. Name of the resource

Query parameters

Parameters
view

enum (StandardOfferView)

Optional. The view of the StandardOffer to return. If unspecified, the default view is BASIC.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of StandardOffer.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • commerceproducer.standardOffers.get

For more information, see the IAM documentation.

StandardOfferView

Controls which fields are returned in a StandardOffer returned by the API. https://google.aip.dev/157

Enums
STANDARD_OFFER_VIEW_UNSPECIFIED The default / unset value. The API will default to the BASIC view.
STANDARD_OFFER_VIEW_BASIC Include basic metadata about the StandardOffer, but not the full contents. This is the default value (for both List and Get requests).
STANDARD_OFFER_VIEW_FULL Include everything.